%{?nodejs_find_provides_and_requires}

# sometimes you might need to disable tests to get it to build since tap
# depends on this. enabling tast require a lot of deps.
%global enable_tests 0

Name:           nodejs-minimist
Version:        1.2.7
Release:        %mkrel 2
Summary:        Parse argument options in Node.js

Group:          System/Libraries
License:        MIT
URL:            https://github.com/minimistjs/minimist
Source0:        https://github.com/minimistjs/minimist/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif
BuildArch:  noarch


%description
This module is the guts of nodejs-optimist's argument parser without all the 
fanciful decoration.

%prep
%setup -q -n minimist-%version

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/minimist

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{nodejs_sitelib}/minimist
%doc LICENSE README.md example



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.7-2.mga10
+ Revision: 2217532
- Mageia 10 Mass Rebuild

* Mon Jan 30 2023 ns80 <ns80> 1.2.7-1.mga9
+ Revision: 1936945
- new version 1.2.7 for CVE-2021-44906 (mga#31445)

* Wed Mar 23 2022 umeabot <umeabot> 1.2.5-2.mga9
+ Revision: 1820448
- Mageia 9 Mass Rebuild

* Wed Dec 30 2020 neoclust <neoclust> 1.2.5-1.mga8
+ Revision: 1666468
- New version 1.2.5 (mga#27974)

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-4.mga8
+ Revision: 1535883
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1265023
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 971804
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 spuhler <spuhler> 1.2.0-1.mga6
+ Revision: 892940
- fixed Groups
- first build after import from Fedora
- imported package nodejs-minimist


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.1-2
- update to new nodejs standards

* Mon Aug 05 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.1-1
- initial package
